Gecode::Float::Branch::ValSelRnd Class Reference
Other available functionality » Float value selection for brancher

Value selection class for random value of view. More...

`#include <branch.hh>`

## Public Member Functions

| ValSelRnd (Space &home, const ValBranch< Var > &vb)
| Constructor for initialization.
| ValSelRnd (Space &home, ValSelRnd &vs)
| Constructor for cloning.
FloatNumBranch | val (const Space &home, FloatView x, int i)
| Return value of view x at position i.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete value selection.
Public Member Functions inherited from Gecode::ValSel< FloatView, FloatNumBranch >
| ValSel (Space &home, const ValBranch< Var > &vb)
| Constructor for initialization.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete value selection.

## Protected Attributes

Rnd | r
| The used random number generator.

## Additional Inherited Members

Public Types inherited from Gecode::ValSel< FloatView, FloatNumBranch >
typedef FloatView | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef FloatNumBranch | Val
| Value type.

## Detailed Description

Value selection class for random value of view.

Requires

#include <gecode/float/branch.hh>
branch.hh

Definition at line 257 of file branch.hh.

## Constructor & Destructor Documentation

## ValSelRnd() [1/2]

Gecode::Float::Branch::ValSelRnd::ValSelRnd | ( | Space & | home,
|  | const ValBranch< Var > & | vb )

inline

Constructor for initialization.

Definition at line 79 of file val-sel.hpp.

## ValSelRnd() [2/2]

Gecode::Float::Branch::ValSelRnd::ValSelRnd | ( | Space & | home,
|  | ValSelRnd & | vs )

inline

Constructor for cloning.

Definition at line 82 of file val-sel.hpp.

## Member Function Documentation

## val()

FloatNumBranch Gecode::Float::Branch::ValSelRnd::val | ( | const Space & | home,
|  | FloatView | x,
|  | int | i )

inline

Return value of view x at position i.

Definition at line 86 of file val-sel.hpp.

## notice()

bool Gecode::Float::Branch::ValSelRnd::notice | ( | void |  | ) | const

inline

Whether dispose must always be called (that is, notice is needed).

Definition at line 92 of file val-sel.hpp.

## dispose()

void Gecode::Float::Branch::ValSelRnd::dispose | ( | Space & | home | ) |

inline

Delete value selection.

Definition at line 96 of file val-sel.hpp.

## Member Data Documentation

## r

Rnd Gecode::Float::Branch::ValSelRnd::r

protected

The used random number generator.

Definition at line 260 of file branch.hh.

The documentation for this class was generated from the following files:

- gecode/float/branch.hh
- gecode/float/branch/val-sel.hpp